	CHARACTER*2 SV,CL,NUMERO*2,FICH*11

C	7-avril-2008
C	Correction bug calcul passage a 00h00.
C	Adaptation unix

	FICH='schedule.XX'

	READ(*,'(A2,X,I5)',ERR=998) NUMERO,MJF
	FICH(10:11)=NUMERO
	OPEN(UNIT=1,FILE="./"//FICH,STATUS='OLD',ERR=997)
C     Ces options font bugger la compil avec GFORTRAN
C     + ,READONLY,
C     + SHARED,ERR=997)

	READ(1,'(I5)',ERR=996) MJD
	NBJ=MJF-MJD

	IF ((NBJ.LE.0).OR.(NBJ.GT.200)) GOTO 995

	WRITE(*,15)MJF
15	FORMAT(X,'Programme des poursuites GPS pour le MJD : ',I5/)
	WRITE(*,10)
10	FORMAT(2X,'MJD',3X,'CL',2X,'SV',2X,'HH:MM'/)

	READ(1,'(A)',ERR=996)

9	READ(1,4,END=5,ERR=996)CL,SV,IH,IM

4	FORMAT(A,X,A,X,I2,X,I2)
	NMD=IH*60+IM
	IF(NMD.LT.NBJ*4) NMD=NMD+1436
	NMD=NMD-(NBJ*4)
	IH=NMD/60
	IM=MOD(NMD,60)

	WRITE(*,8)MJF,CL,SV,IH,IM
8	FORMAT(X,I5,2X,A,2X,A,2X,I2.2,':',I2.2)
	GO TO 9

995     STOP 'STOP: Verifiez les parametres d''entree'
996	STOP 'STOP: Erreur lecture fichier schedule'
997	STOP 'STOP: Erreur ouverture fichier schedule'
998	STOP 'STOP: Erreur lecture parametres'
5	CLOSE(UNIT=1)
999	END
